### File

`packages/ecl/components/ecl-navigation-list/ecl-navigation-list.component.ts`

### Description

Navigation lists provide users with a quick way to scan through items and access the information they are looking for. It can offer a quick description of the parent page and/or display child pages that belong to it.

### Extends

`ECLBaseDirective`

### Implements

`AfterContentInit`

### Metadata

selector | `ecl-navigation-list`
templateUrl | `ecl-navigation-list.component.html`

### Index

###### Properties
listItems
###### Methods
getCssClasses
###### Inputs
columns hasBorders class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

columns
Type : `number`
Default value : `2`
Property that describes how many columns the navigation list has. Default value is 2.

hasBorders
Type : `boolean`
Default value : `true`
Property that describes if each item will have a border. Default is 'true'.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

listItems
Type : `QueryList<EclNavigationListItemComponent>`
Decorators : `@ContentChildren(undefined)`
The list of navigation list items.

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""